package com.abelski.samples;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class B extends Activity
{
	
	@Override
	public void onPause()
	{
		super.onPause();
		Log.i("track","within B.onPause");
	}
	
	@Override
	public void onResume()
	{
		super.onResume();
		Log.i("track","within B.onResume");
	}
	
	@Override
	public void onStart()
	{
		super.onStart();
		Log.i("track","within B.onStart");
	}
	
	@Override
	public void onRestart()
	{
		super.onRestart();
		Log.i("track","within B.onRestart");
	}
	
	@Override
	public void onDestroy()
	{
		super.onDestroy();
		Log.i("track","within B.onDestroy");
	}

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.i("track","within B.onCreate ");        
        LinearLayout layout = new LinearLayout(this);
        TextView tv = new TextView(this);
        tv.setText("BBB");
        layout.addView(tv);        
        Button a = new Button(this);
        a.setText("A");
        layout.addView(a);
        a.setOnClickListener(new OnClickListener()
        {
			public void onClick(View v)
			{
				startActivity(new Intent(B.this,com.abelski.samples.A.class));
			}
        });
        Button b = new Button(this);
        b.setText("B");
        layout.addView(b);
        b.setOnClickListener(new OnClickListener()
        {
			public void onClick(View v)
			{
				startActivity(new Intent(B.this,com.abelski.samples.B.class));
			}
        });        
        Button c = new Button(this);
        c.setText("C");
        layout.addView(c);
        c.setOnClickListener(new OnClickListener()
        {
			public void onClick(View v)
			{
				startActivity(new Intent(B.this,com.abelski.samples.C.class));
			}
        });
        Button d = new Button(this);
        d.setText("D");
        layout.addView(d);
        d.setOnClickListener(new OnClickListener()
        {
			public void onClick(View v)
			{
				startActivity(new Intent(B.this,com.abelski.samples.D.class));
			}
        });
        setContentView(layout);
    }
}
